## ros-indigo-baxter-tools 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(baxter_tools)

find_package(catkin
  REQUIRED
  COMPONENTS
  rospy
  sensor_msgs
  geometry_msgs
  cv_bridge
  baxter_interface
  baxter_core_msgs
  baxter_maintenance_msgs
)

catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS
  rospy
  sensor_msgs
  geometry_msgs
  cv_bridge
  baxter_interface
  baxter_core_msgs
  baxter_maintenance_msgs
)

install(
  DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(
  DIRECTORY share/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/share
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-indigo-baxter-tools (1.2.0-0trusty) trusty; urgency=high

  * Updated Smoke Test and Tuck Arms scripts for head pan speed range shift (before [0, 100], and now [0, 1.0])
  * Updated ITB names for Navigators' name change

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Mon, 21 Dec 2015 05:00:00 -0000

ros-indigo-baxter-tools (1.1.1-0trusty) trusty; urgency=high

  * Migrates users from baxter_tools/update_robot.py to on-robot rethink-updater over
    *ruser* SSH session. See (http://sdk.rethinkrobotics.com/wiki/SSH_Update) for details

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Fri, 15 May 2015 04:00:00 -0000

ros-indigo-baxter-tools (1.1.0-0trusty) trusty; urgency=high

  * Updates baxter_tools for ROS Indigo (queue_size args for Publishers, using cv2 as OpenCV dependancy)
  * Updates smoke_tests to use 64-bit Indigo Camera fix

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Wed, 17 Dec 2014 05:00:00 -0000

ros-indigo-baxter-tools (1.0.0-0trusty) trusty; urgency=high

  * Updates baxter_tools scripts to verify software version compatibility
  * Updates update_robot adding instructions for attaching grippers before proceeding with update
  * Fixes update_robot timeout for identifying available updates by increasing timeout to five seconds

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Thu, 01 May 2014 04:00:00 -0000

ros-indigo-baxter-tools (0.7.0-0trusty) trusty; urgency=high

  * Creation of baxter_tools repository from sdk-examples/tools.
  * Package restructure in support of Catkin expected standards.
  * Adds camera_control from previous location in baxter_examples.
  * Adds check for grippers pre-tare/calibrate.
  * Adds reset to camera_control tool. Useful when not all cameras enumerated at boot.
  * Fixes tucks arms allowing for clean handling of interrupts and partial tucks.

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Thu, 21 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-baxter-tools
Section: misc
Priority: extra
Maintainer: Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-baxter-core-msgs, ros-indigo-baxter-interface, ros-indigo-baxter-maintenance-msgs, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-rospy, ros-indigo-sensor-msgs
Homepage: http://sdk.rethinkrobotics.com
Standards-Version: 3.9.2

Package: ros-indigo-baxter-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-baxter-core-msgs, ros-indigo-baxter-interface, ros-indigo-baxter-maintenance-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-rospy, ros-indigo-sensor-msgs
Description: Useful operational and maintenance tools for use with the Baxter Research Robot from Rethink Robotics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-baxter-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
